Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Missing authentication check in MessageSearch service, SAP security note 1448266

Description

A malicious user can use functions of the MessageSearch Service to which access should be restricted.
This may result in an escalation of privileges.

Available fix and Supported packages

  • SAP_XIAF | 7.11 | 7.11
  • XI ADAPTER FRAMEWORK 7.11 | SP001 | 000027
  • XI ADAPTER FRAMEWORK 7.11 | SP002 | 000022
  • XI ADAPTER FRAMEWORK 7.11 | SP003 | 000045
  • XI ADAPTER FRAMEWORK 7.11 | SP004 | 000038
  • XI ADAPTER FRAMEWORK 7.11 | SP005 | 000037
  • XI ADAPTER FRAMEWORK 7.11 | SP006 | 000023
  • XI ADAPTER FRAMEWORK 7.11 | SP007 | 000006
  • XI ADAPTER FRAMEWORK 7.11 | SP008 | 000046
  • XI ADAPTER FRAMEWORK 7.11 | SP009 | 000000

Affected component

    BC-XI-CON
    Connectivity

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1448266

TAGS

#Authentication
#authentication-step
#MessageSearch-Service

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below